/*
 * Copyright 2010-2014 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 * 
 *  http://aws.amazon.com/apache2.0
 * 
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

/*
 * Do not modify this file. This file is generated from the ec2-2015-10-01.normal.json service model.
 */
using System;
using System.Collections.Generic;
using System.Xml.Serialization;
using System.Text;
using System.IO;

using Amazon.Runtime;
using Amazon.Runtime.Internal;

namespace Amazon.EC2.Model
{
    /// <summary>
    /// Container for the parameters to the CancelImportTask operation.
    /// Cancels an in-process import virtual machine or import snapshot task.
    /// </summary>
    public partial class CancelImportTaskRequest : AmazonEC2Request
    {
        private string _cancelReason;
        private string _importTaskId;

        /// <summary>
        /// Gets and sets the property CancelReason. 
        /// <para>
        /// The reason for canceling the task.
        /// </para>
        /// </summary>
        public string CancelReason
        {
            get { return this._cancelReason; }
            set { this._cancelReason = value; }
        }

        // Check to see if CancelReason property is set
        internal bool IsSetCancelReason()
        {
            return this._cancelReason != null;
        }

        /// <summary>
        /// Gets and sets the property ImportTaskId. 
        /// <para>
        /// The ID of the import image or import snapshot task to be canceled.
        /// </para>
        /// </summary>
        public string ImportTaskId
        {
            get { return this._importTaskId; }
            set { this._importTaskId = value; }
        }

        // Check to see if ImportTaskId property is set
        internal bool IsSetImportTaskId()
        {
            return this._importTaskId != null;
        }

    }
}